For the complete documentation index, see llms.txt. This page is also available as Markdown.

Companies

Companies list

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

textstringOptional

Case insentive filter on company name

updated__gtestring · date-timeOptional

Filter companies updated after or at a certain date

updated__ltestring · date-timeOptional

Filter companies updated before or at a certain date

updated__gtstring · date-timeOptional

Filter companies updated after a certain date

updated__ltstring · date-timeOptional

Filter companies updated before a certain date

Responses
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/companies/
GET /api/v4/companies/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "count": 1,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "pk": 928,
      "name": "Transport Bouvet",
      "addresses": [
        {
          "pk": 23498,
          "name": "Transport Bouvet",
          "address": "3 rue des champs",
          "city": "Nantes",
          "postcode": "44000",
          "country": "FR",
          "latitude": -52.5561625,
          "longitude": 92.896504,
          "radius": 500,
          "coords_validated": false,
          "is_demo": true,
          "is_carrier": true,
          "is_shipper": true,
          "is_origin": true,
          "is_destination": true,
          "created_by": {
            "pk": 25,
            "name": "Transport Bouvet"
          },
          "created_by_user": {
            "pk": 34,
            "display_name": "Jean Pierre Bouvet",
            "company": 25,
            "trucker_id": 95
          },
          "created": "2020-12-22T15:31:39.26167Z",
          "remote_id": "text"
        }
      ],
      "phone_number": "text",
      "email": "adele.bouvet@gmail.com",
      "siren": "text",
      "trade_number": "text",
      "vat_number": "text",
      "country": "FR",
      "has_loggable_managers": true,
      "contacts": [
        {
          "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
          "created": "2020-12-22T15:31:39.26167Z",
          "company": {
            "pk": 928,
            "remote_id": "text",
            "created": "2020-07-30T21:10:06.445510Z",
            "updated": "2020-07-30T21:10:06.44551Z",
            "deleted": true,
            "invoicing_remote_id": "COMP_456",
            "name": "Transport Bouvet",
            "phone_number": "0601020304",
            "email": "i.love.dashdoc@gmail.com",
            "siren": "123456789",
            "trade_number": "text",
            "country": "FR",
            "comments": "text",
            "vat_number": "text",
            "is_verified": true,
            "settings_transport_order_observations": "text",
            "settings_constrain_reference_edition": true,
            "account_type": "text",
            "logo": "text",
            "subscription_access": {},
            "settings": {},
            "primary_address": {
              "pk": 23498,
              "name": "Transport Bouvet",
              "address": "3 rue des champs",
              "city": "Nantes",
              "postcode": "44000",
              "country": "FR",
              "latitude": -52.5561625,
              "longitude": 92.896504,
              "radius": 500,
              "coords_validated": false,
              "is_demo": true,
              "is_carrier": true,
              "is_shipper": true,
              "is_origin": true,
              "is_destination": true,
              "created_by": {
                "pk": 25,
                "name": "Transport Bouvet"
              },
              "created_by_user": {
                "pk": 34,
                "display_name": "Jean Pierre Bouvet",
                "company": 25,
                "trucker_id": 95
              },
              "created": "2020-12-22T15:31:39.26167Z",
              "remote_id": "text"
            },
            "managers": [
              {
                "pk": 928,
                "user": {
                  "email": "adele.bouvet@gmail.com",
                  "first_name": "Adèle",
                  "last_name": "Bouvet"
                },
                "display_name": "text",
                "role": "text"
              }
            ],
            "has_loggable_managers": true
          },
          "first_name": "Adèle",
          "last_name": "Bouvet",
          "email": "adele.bouvet@gmail.com",
          "phone_number": "+33600000000",
          "fax_number": "text",
          "remote_id": "CONTACT_123",
          "is_manager": true,
          "has_pending_invite": true,
          "is_invitable": true,
          "invitation_link": "text"
        }
      ],
      "has_pending_invites": true,
      "primary_address": {
        "pk": 23498,
        "name": "Transport Bouvet",
        "address": "3 rue des champs",
        "city": "Nantes",
        "postcode": "44000",
        "country": "FR",
        "latitude": -52.5561625,
        "longitude": 92.896504,
        "radius": 500,
        "coords_validated": false,
        "is_demo": true,
        "is_carrier": true,
        "is_shipper": true,
        "is_origin": true,
        "is_destination": true,
        "created_by": {
          "pk": 25,
          "name": "Transport Bouvet"
        },
        "created_by_user": {
          "pk": 34,
          "display_name": "Jean Pierre Bouvet",
          "company": 25,
          "trucker_id": 95
        },
        "created": "2020-12-22T15:31:39.26167Z",
        "remote_id": "text"
      },
      "transports_in_last_month": 1,
      "is_verified": true,
      "can_invite_to": true,
      "remote_id": "text",
      "invoicing_remote_id": "COMP_456",
      "notes": "text",
      "account_code": "411000",
      "side_account_code": "text",
      "purchase_account_code": "401000",
      "purchase_side_account_code": "text",
      "tags": [
        {
          "pk": 1,
          "name": "Urgent",
          "color": "#E5291D",
          "tag_group_id": 1
        }
      ]
    }
  ]
}

Create a company

post

Creates a company in your address book.

Controls occur to prevent from creating distinct companies objects that would actually represent the same.

Unicity control is performed on attributes in this order to determine if it already exists:

  • remote_id

  • trade_number

  • name

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
namestringRequiredExample: Transport Bouvet
phone_numberstringOptional
emailstring · emailOptionalExample: adele.bouvet@gmail.com
sirenstringOptional
trade_numberstringOptional
vat_numberstringOptional
countrystringRequired

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
remote_idstringOptional

The ID of the company in your system. It has to be unique among all your companies.

invoicing_remote_idstringOptional

The id of the company in your invoicing system.

Example: COMP_456
notesstringOptional

Notes for this company, only visibile to your team members

account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a customer/shipper.

Example: 411000
side_account_codestringOptional

The auxiliary accounting code used for this company when it is a customer/shipper.

purchase_account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a supplier/carrier.

Example: 401000
purchase_side_account_codestringOptional

The auxiliary accounting code used for this company when it is a supplier/carrier.

Responses
201

Create successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 928
namestringOptionalExample: Transport Bouvet
phone_numberstringOptional
emailstring · emailOptionalExample: adele.bouvet@gmail.com
sirenstringOptional
trade_numberstringOptional
vat_numberstringOptional
countrystringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
has_loggable_managersbooleanOptional

Ignore. Dashdoc technical data.

has_pending_invitesbooleanOptional

Ignore. Dashdoc technical data.

transports_in_last_monthintegerOptional

Ignore. Dashdoc technical data.

is_verifiedbooleanOptional

Ignore. Dashdoc technical data.

can_invite_tobooleanOptional

Ignore. Dashdoc technical data.

remote_idstringOptional

The id of the company in your system.

invoicing_remote_idstringOptional

The id of the company in your invoicing system.

Example: COMP_456
notesstringOptional

Notes for this company, only visibile to your team members

account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a customer/shipper.

Example: 411000
side_account_codestringOptional

The auxiliary accounting code used for this company when it is a customer/shipper.

purchase_account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a supplier/carrier.

Example: 401000
purchase_side_account_codestringOptional

The auxiliary accounting code used for this company when it is a supplier/carrier.

post/companies/
POST /api/v4/companies/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 815

{
  "name": "Transport Bouvet",
  "phone_number": "text",
  "email": "adele.bouvet@gmail.com",
  "siren": "text",
  "trade_number": "text",
  "vat_number": "text",
  "country": "FR",
  "remote_id": "text",
  "invoicing_remote_id": "COMP_456",
  "notes": "text",
  "account_code": "411000",
  "side_account_code": "text",
  "purchase_account_code": "401000",
  "purchase_side_account_code": "text",
  "primary_address": {
    "pk": "text",
    "name": "Transport Bouvet",
    "address": "3 rue des champs",
    "city": "Nantes",
    "postcode": "44000",
    "country": "FR",
    "latitude": -52.5561625,
    "longitude": 92.896504,
    "radius": 500,
    "coords_validated": false,
    "is_demo": true,
    "is_carrier": true,
    "is_shipper": true,
    "is_origin": true,
    "is_destination": true,
    "created_by": 1,
    "created": "2020-07-30T21:10:06.44551Z",
    "instructions": "text",
    "remote_id": "text"
  },
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}
201

Create successful

{
  "pk": 928,
  "name": "Transport Bouvet",
  "addresses": [
    {
      "pk": 23498,
      "name": "Transport Bouvet",
      "address": "3 rue des champs",
      "city": "Nantes",
      "postcode": "44000",
      "country": "FR",
      "latitude": -52.5561625,
      "longitude": 92.896504,
      "radius": 500,
      "coords_validated": false,
      "is_demo": true,
      "is_carrier": true,
      "is_shipper": true,
      "is_origin": true,
      "is_destination": true,
      "created_by": {
        "pk": 25,
        "name": "Transport Bouvet"
      },
      "created_by_user": {
        "pk": 34,
        "display_name": "Jean Pierre Bouvet",
        "company": 25,
        "trucker_id": 95
      },
      "created": "2020-12-22T15:31:39.26167Z",
      "remote_id": "text"
    }
  ],
  "phone_number": "text",
  "email": "adele.bouvet@gmail.com",
  "siren": "text",
  "trade_number": "text",
  "vat_number": "text",
  "country": "FR",
  "has_loggable_managers": true,
  "contacts": [
    {
      "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
      "created": "2020-12-22T15:31:39.26167Z",
      "company": {
        "pk": 928,
        "remote_id": "text",
        "created": "2020-07-30T21:10:06.445510Z",
        "updated": "2020-07-30T21:10:06.44551Z",
        "deleted": true,
        "invoicing_remote_id": "COMP_456",
        "name": "Transport Bouvet",
        "phone_number": "0601020304",
        "email": "i.love.dashdoc@gmail.com",
        "siren": "123456789",
        "trade_number": "text",
        "country": "FR",
        "comments": "text",
        "vat_number": "text",
        "is_verified": true,
        "settings_transport_order_observations": "text",
        "settings_constrain_reference_edition": true,
        "account_type": "text",
        "logo": "text",
        "subscription_access": {},
        "settings": {},
        "primary_address": {
          "pk": 23498,
          "name": "Transport Bouvet",
          "address": "3 rue des champs",
          "city": "Nantes",
          "postcode": "44000",
          "country": "FR",
          "latitude": -52.5561625,
          "longitude": 92.896504,
          "radius": 500,
          "coords_validated": false,
          "is_demo": true,
          "is_carrier": true,
          "is_shipper": true,
          "is_origin": true,
          "is_destination": true,
          "created_by": {
            "pk": 25,
            "name": "Transport Bouvet"
          },
          "created_by_user": {
            "pk": 34,
            "display_name": "Jean Pierre Bouvet",
            "company": 25,
            "trucker_id": 95
          },
          "created": "2020-12-22T15:31:39.26167Z",
          "remote_id": "text"
        },
        "managers": [
          {
            "pk": 928,
            "user": {
              "email": "adele.bouvet@gmail.com",
              "first_name": "Adèle",
              "last_name": "Bouvet"
            },
            "display_name": "text",
            "role": "text"
          }
        ],
        "has_loggable_managers": true
      },
      "first_name": "Adèle",
      "last_name": "Bouvet",
      "email": "adele.bouvet@gmail.com",
      "phone_number": "+33600000000",
      "fax_number": "text",
      "remote_id": "CONTACT_123",
      "is_manager": true,
      "has_pending_invite": true,
      "is_invitable": true,
      "invitation_link": "text"
    }
  ],
  "has_pending_invites": true,
  "primary_address": {
    "pk": 23498,
    "name": "Transport Bouvet",
    "address": "3 rue des champs",
    "city": "Nantes",
    "postcode": "44000",
    "country": "FR",
    "latitude": -52.5561625,
    "longitude": 92.896504,
    "radius": 500,
    "coords_validated": false,
    "is_demo": true,
    "is_carrier": true,
    "is_shipper": true,
    "is_origin": true,
    "is_destination": true,
    "created_by": {
      "pk": 25,
      "name": "Transport Bouvet"
    },
    "created_by_user": {
      "pk": 34,
      "display_name": "Jean Pierre Bouvet",
      "company": 25,
      "trucker_id": 95
    },
    "created": "2020-12-22T15:31:39.26167Z",
    "remote_id": "text"
  },
  "transports_in_last_month": 1,
  "is_verified": true,
  "can_invite_to": true,
  "remote_id": "text",
  "invoicing_remote_id": "COMP_456",
  "notes": "text",
  "account_code": "411000",
  "side_account_code": "text",
  "purchase_account_code": "401000",
  "purchase_side_account_code": "text",
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}

Read a company

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
200

Get successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 928
namestringOptionalExample: Transport Bouvet
phone_numberstringOptional
emailstring · emailOptionalExample: adele.bouvet@gmail.com
sirenstringOptional
trade_numberstringOptional
vat_numberstringOptional
countrystringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
has_loggable_managersbooleanOptional

Ignore. Dashdoc technical data.

has_pending_invitesbooleanOptional

Ignore. Dashdoc technical data.

transports_in_last_monthintegerOptional

Ignore. Dashdoc technical data.

is_verifiedbooleanOptional

Ignore. Dashdoc technical data.

can_invite_tobooleanOptional

Ignore. Dashdoc technical data.

remote_idstringOptional

The id of the company in your system.

invoicing_remote_idstringOptional

The id of the company in your invoicing system.

Example: COMP_456
notesstringOptional

Notes for this company, only visibile to your team members

account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a customer/shipper.

Example: 411000
side_account_codestringOptional

The auxiliary accounting code used for this company when it is a customer/shipper.

purchase_account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a supplier/carrier.

Example: 401000
purchase_side_account_codestringOptional

The auxiliary accounting code used for this company when it is a supplier/carrier.

get/companies/{pk}/
GET /api/v4/companies/{pk}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200

Get successful

{
  "pk": 928,
  "name": "Transport Bouvet",
  "addresses": [
    {
      "pk": 23498,
      "name": "Transport Bouvet",
      "address": "3 rue des champs",
      "city": "Nantes",
      "postcode": "44000",
      "country": "FR",
      "latitude": -52.5561625,
      "longitude": 92.896504,
      "radius": 500,
      "coords_validated": false,
      "is_demo": true,
      "is_carrier": true,
      "is_shipper": true,
      "is_origin": true,
      "is_destination": true,
      "created_by": {
        "pk": 25,
        "name": "Transport Bouvet"
      },
      "created_by_user": {
        "pk": 34,
        "display_name": "Jean Pierre Bouvet",
        "company": 25,
        "trucker_id": 95
      },
      "created": "2020-12-22T15:31:39.26167Z",
      "remote_id": "text"
    }
  ],
  "phone_number": "text",
  "email": "adele.bouvet@gmail.com",
  "siren": "text",
  "trade_number": "text",
  "vat_number": "text",
  "country": "FR",
  "has_loggable_managers": true,
  "contacts": [
    {
      "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
      "created": "2020-12-22T15:31:39.26167Z",
      "company": {
        "pk": 928,
        "remote_id": "text",
        "created": "2020-07-30T21:10:06.445510Z",
        "updated": "2020-07-30T21:10:06.44551Z",
        "deleted": true,
        "invoicing_remote_id": "COMP_456",
        "name": "Transport Bouvet",
        "phone_number": "0601020304",
        "email": "i.love.dashdoc@gmail.com",
        "siren": "123456789",
        "trade_number": "text",
        "country": "FR",
        "comments": "text",
        "vat_number": "text",
        "is_verified": true,
        "settings_transport_order_observations": "text",
        "settings_constrain_reference_edition": true,
        "account_type": "text",
        "logo": "text",
        "subscription_access": {},
        "settings": {},
        "primary_address": {
          "pk": 23498,
          "name": "Transport Bouvet",
          "address": "3 rue des champs",
          "city": "Nantes",
          "postcode": "44000",
          "country": "FR",
          "latitude": -52.5561625,
          "longitude": 92.896504,
          "radius": 500,
          "coords_validated": false,
          "is_demo": true,
          "is_carrier": true,
          "is_shipper": true,
          "is_origin": true,
          "is_destination": true,
          "created_by": {
            "pk": 25,
            "name": "Transport Bouvet"
          },
          "created_by_user": {
            "pk": 34,
            "display_name": "Jean Pierre Bouvet",
            "company": 25,
            "trucker_id": 95
          },
          "created": "2020-12-22T15:31:39.26167Z",
          "remote_id": "text"
        },
        "managers": [
          {
            "pk": 928,
            "user": {
              "email": "adele.bouvet@gmail.com",
              "first_name": "Adèle",
              "last_name": "Bouvet"
            },
            "display_name": "text",
            "role": "text"
          }
        ],
        "has_loggable_managers": true
      },
      "first_name": "Adèle",
      "last_name": "Bouvet",
      "email": "adele.bouvet@gmail.com",
      "phone_number": "+33600000000",
      "fax_number": "text",
      "remote_id": "CONTACT_123",
      "is_manager": true,
      "has_pending_invite": true,
      "is_invitable": true,
      "invitation_link": "text"
    }
  ],
  "has_pending_invites": true,
  "primary_address": {
    "pk": 23498,
    "name": "Transport Bouvet",
    "address": "3 rue des champs",
    "city": "Nantes",
    "postcode": "44000",
    "country": "FR",
    "latitude": -52.5561625,
    "longitude": 92.896504,
    "radius": 500,
    "coords_validated": false,
    "is_demo": true,
    "is_carrier": true,
    "is_shipper": true,
    "is_origin": true,
    "is_destination": true,
    "created_by": {
      "pk": 25,
      "name": "Transport Bouvet"
    },
    "created_by_user": {
      "pk": 34,
      "display_name": "Jean Pierre Bouvet",
      "company": 25,
      "trucker_id": 95
    },
    "created": "2020-12-22T15:31:39.26167Z",
    "remote_id": "text"
  },
  "transports_in_last_month": 1,
  "is_verified": true,
  "can_invite_to": true,
  "remote_id": "text",
  "invoicing_remote_id": "COMP_456",
  "notes": "text",
  "account_code": "411000",
  "side_account_code": "text",
  "purchase_account_code": "401000",
  "purchase_side_account_code": "text",
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}

Partially update a company

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
namestringRequired

Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc

Example: Transport Bouvet
phone_numberstringOptional

Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc

emailstring · emailOptional

Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc

Example: adele.bouvet@gmail.com
sirenstringOptional

Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc

trade_numberstringOptional

Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc

vat_numberstringOptional

Only updatable by the creator of the company, and if the company hasn't subscribed to Dashdoc

countrystringRequired

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
remote_idstringOptional

The ID of the company in your system. It has to be unique among all your companies.

invoicing_remote_idstringOptional

The id of the company in your invoicing system.

Example: COMP_456
notesstringOptional

Notes for this company, only visibile to your team members

account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a customer/shipper. Send an empty string to clear it.

Example: 411000
side_account_codestringOptional

The auxiliary accounting code used for this company when it is a customer/shipper. Send an empty string to clear it.

purchase_account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a supplier/carrier. Send an empty string to clear it.

Example: 401000
purchase_side_account_codestringOptional

The auxiliary accounting code used for this company when it is a supplier/carrier. Send an empty string to clear it.

Responses
200

Update successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 928
namestringOptionalExample: Transport Bouvet
phone_numberstringOptional
emailstring · emailOptionalExample: adele.bouvet@gmail.com
sirenstringOptional
trade_numberstringOptional
vat_numberstringOptional
countrystringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
has_loggable_managersbooleanOptional

Ignore. Dashdoc technical data.

has_pending_invitesbooleanOptional

Ignore. Dashdoc technical data.

transports_in_last_monthintegerOptional

Ignore. Dashdoc technical data.

is_verifiedbooleanOptional

Ignore. Dashdoc technical data.

can_invite_tobooleanOptional

Ignore. Dashdoc technical data.

remote_idstringOptional

The id of the company in your system.

invoicing_remote_idstringOptional

The id of the company in your invoicing system.

Example: COMP_456
notesstringOptional

Notes for this company, only visibile to your team members

account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a customer/shipper.

Example: 411000
side_account_codestringOptional

The auxiliary accounting code used for this company when it is a customer/shipper.

purchase_account_codestringOptional

The accounting ledger code ("compte de tiers") used for this company when it is a supplier/carrier.

Example: 401000
purchase_side_account_codestringOptional

The auxiliary accounting code used for this company when it is a supplier/carrier.

patch/companies/{pk}/
PATCH /api/v4/companies/{pk}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 815

{
  "name": "Transport Bouvet",
  "phone_number": "text",
  "email": "adele.bouvet@gmail.com",
  "siren": "text",
  "trade_number": "text",
  "vat_number": "text",
  "country": "FR",
  "remote_id": "text",
  "invoicing_remote_id": "COMP_456",
  "notes": "text",
  "account_code": "411000",
  "side_account_code": "text",
  "purchase_account_code": "401000",
  "purchase_side_account_code": "text",
  "primary_address": {
    "pk": "text",
    "name": "Transport Bouvet",
    "address": "3 rue des champs",
    "city": "Nantes",
    "postcode": "44000",
    "country": "FR",
    "latitude": -52.5561625,
    "longitude": 92.896504,
    "radius": 500,
    "coords_validated": false,
    "is_demo": true,
    "is_carrier": true,
    "is_shipper": true,
    "is_origin": true,
    "is_destination": true,
    "created_by": 1,
    "created": "2020-07-30T21:10:06.44551Z",
    "instructions": "text",
    "remote_id": "text"
  },
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}
200

Update successful

{
  "pk": 928,
  "name": "Transport Bouvet",
  "addresses": [
    {
      "pk": 23498,
      "name": "Transport Bouvet",
      "address": "3 rue des champs",
      "city": "Nantes",
      "postcode": "44000",
      "country": "FR",
      "latitude": -52.5561625,
      "longitude": 92.896504,
      "radius": 500,
      "coords_validated": false,
      "is_demo": true,
      "is_carrier": true,
      "is_shipper": true,
      "is_origin": true,
      "is_destination": true,
      "created_by": {
        "pk": 25,
        "name": "Transport Bouvet"
      },
      "created_by_user": {
        "pk": 34,
        "display_name": "Jean Pierre Bouvet",
        "company": 25,
        "trucker_id": 95
      },
      "created": "2020-12-22T15:31:39.26167Z",
      "remote_id": "text"
    }
  ],
  "phone_number": "text",
  "email": "adele.bouvet@gmail.com",
  "siren": "text",
  "trade_number": "text",
  "vat_number": "text",
  "country": "FR",
  "has_loggable_managers": true,
  "contacts": [
    {
      "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
      "created": "2020-12-22T15:31:39.26167Z",
      "company": {
        "pk": 928,
        "remote_id": "text",
        "created": "2020-07-30T21:10:06.445510Z",
        "updated": "2020-07-30T21:10:06.44551Z",
        "deleted": true,
        "invoicing_remote_id": "COMP_456",
        "name": "Transport Bouvet",
        "phone_number": "0601020304",
        "email": "i.love.dashdoc@gmail.com",
        "siren": "123456789",
        "trade_number": "text",
        "country": "FR",
        "comments": "text",
        "vat_number": "text",
        "is_verified": true,
        "settings_transport_order_observations": "text",
        "settings_constrain_reference_edition": true,
        "account_type": "text",
        "logo": "text",
        "subscription_access": {},
        "settings": {},
        "primary_address": {
          "pk": 23498,
          "name": "Transport Bouvet",
          "address": "3 rue des champs",
          "city": "Nantes",
          "postcode": "44000",
          "country": "FR",
          "latitude": -52.5561625,
          "longitude": 92.896504,
          "radius": 500,
          "coords_validated": false,
          "is_demo": true,
          "is_carrier": true,
          "is_shipper": true,
          "is_origin": true,
          "is_destination": true,
          "created_by": {
            "pk": 25,
            "name": "Transport Bouvet"
          },
          "created_by_user": {
            "pk": 34,
            "display_name": "Jean Pierre Bouvet",
            "company": 25,
            "trucker_id": 95
          },
          "created": "2020-12-22T15:31:39.26167Z",
          "remote_id": "text"
        },
        "managers": [
          {
            "pk": 928,
            "user": {
              "email": "adele.bouvet@gmail.com",
              "first_name": "Adèle",
              "last_name": "Bouvet"
            },
            "display_name": "text",
            "role": "text"
          }
        ],
        "has_loggable_managers": true
      },
      "first_name": "Adèle",
      "last_name": "Bouvet",
      "email": "adele.bouvet@gmail.com",
      "phone_number": "+33600000000",
      "fax_number": "text",
      "remote_id": "CONTACT_123",
      "is_manager": true,
      "has_pending_invite": true,
      "is_invitable": true,
      "invitation_link": "text"
    }
  ],
  "has_pending_invites": true,
  "primary_address": {
    "pk": 23498,
    "name": "Transport Bouvet",
    "address": "3 rue des champs",
    "city": "Nantes",
    "postcode": "44000",
    "country": "FR",
    "latitude": -52.5561625,
    "longitude": 92.896504,
    "radius": 500,
    "coords_validated": false,
    "is_demo": true,
    "is_carrier": true,
    "is_shipper": true,
    "is_origin": true,
    "is_destination": true,
    "created_by": {
      "pk": 25,
      "name": "Transport Bouvet"
    },
    "created_by_user": {
      "pk": 34,
      "display_name": "Jean Pierre Bouvet",
      "company": 25,
      "trucker_id": 95
    },
    "created": "2020-12-22T15:31:39.26167Z",
    "remote_id": "text"
  },
  "transports_in_last_month": 1,
  "is_verified": true,
  "can_invite_to": true,
  "remote_id": "text",
  "invoicing_remote_id": "COMP_456",
  "notes": "text",
  "account_code": "411000",
  "side_account_code": "text",
  "purchase_account_code": "401000",
  "purchase_side_account_code": "text",
  "tags": [
    {
      "pk": 1,
      "name": "Urgent",
      "color": "#E5291D",
      "tag_group_id": 1
    }
  ]
}

Last updated

Was this helpful?